> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enkryptai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Deployment



## OpenAPI

````yaml DELETE /deployments/delete-deployment
openapi: 3.0.0
info:
  title: Enkrypt AI APIs
  version: 2.0.0
servers:
  - url: https://api.enkryptai.com
security:
  - apiKeyAuth: []
tags:
  - name: Guardrails
  - name: Code of Conduct
  - name: Endpoints
  - name: Datasets
  - name: Redteam
  - name: Deployments
  - name: AI Proxy
  - name: Leaderboard
  - name: Archived
  - name: MCP Hub
    description: >-
      MCP Hub vulnerability scanning APIs. Submitting scans (the POST endpoints)
      is open to all authenticated callers. The scan **retrieval** APIs — Get
      Scan Job Status, Get Complete Scan Results, List Scans, and Get MCP Hub
      Scan Statistics (the GET endpoints) — are an **enterprise data-license
      feature**: they require your organization to have MCP Hub API access
      enabled by Enkrypt, otherwise they return `403`. Contact us at
      support@enkryptai.com to enable access.
  - name: MCP Registry Servers
  - name: MCP Gateways
  - name: MCP Playground
paths:
  /deployments/delete-deployment:
    delete:
      tags:
        - Deployments
      summary: Delete Deployment
      operationId: delete_deployment
      parameters:
        - name: X-Enkrypt-Deployment
          in: header
          required: true
          schema:
            title: Deployment Name
            type: string
            description: The deployment saved name. E.g. test-deployment-1
            example: test-deployment
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteDeploymentResponseObject'
components:
  schemas:
    DeleteDeploymentResponseObject:
      title: DeleteDeploymentResponseObject
      type: object
      properties:
        message:
          title: DeleteDeploymentResponseObjectMessage
          type: string
          example: Deployment details deleted successfully
        data:
          title: DeleteDeploymentResponseObjectData
          type: object
          properties:
            deployment_id:
              title: Deployment ID
              type: integer
              example: 1234567890
            project_name:
              title: Project Name
              type: string
              example: default
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: apikey

````